Skip to main content
GET
List appointments

Authorizations

Authorization
string
header
required

Organization API key. Prefix with Bearer. Test keys start with cic_test_; live keys with cic_live_.

Query Parameters

limit
integer

Max items to return (1–100). Default: 50.

Required range: 1 <= x <= 100
Example:

50

offset
integer | null

Number of items to skip. Default: 0.

Required range: x >= 0
Example:

0

status
enum<string>

Filter by appointment status.

Available options:
scheduled,
confirmed,
checked_in,
no_show,
cancelled,
completed
customerId
string

Filter by customer id.

staffId
string

Filter by staff id.

startDate
string<date-time>

Inclusive lower bound (ISO-8601) on start time.

endDate
string<date-time>

Inclusive upper bound (ISO-8601) on start time.

Response

Paginated appointment list

data
object[]
required
pagination
object
required